Package org.openoffice.da.comp.w2lcommon.tex.tokenizer

# Enum Class Catcode

java.lang.Object
java.lang.Enum<Catcode>
org.openoffice.da.comp.w2lcommon.tex.tokenizer.Catcode

All Implemented Interfaces:
  `Serializable`, `Comparable<Catcode>`, `Constable`

public enum Catcode extends Enum<Catcode>
This enumerates TeX category codes (catcodes) for characters as defined in chapter 7 of "The TeXbook"

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACTIVE`
`ALIGNMENT_TAB`
`BEGIN_GROUP`
`COMMENT`
`END_GROUP`
`END_OF_LINE`
`ESCAPE`
`IGNORED`
`INVALID`
`LETTER`
`MATH_SHIFT`
`OTHER`
`PARAMETER`
`SPACE`
`SUBSCRIPT`
`SUPERSCRIPT`

## Method Summary

Modifier and Type
Method
Description
`static Catcode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Catcode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ESCAPE

public static final Catcode ESCAPE

### BEGIN_GROUP

public static final Catcode BEGIN_GROUP

### END_GROUP

public static final Catcode END_GROUP

### MATH_SHIFT

public static final Catcode MATH_SHIFT

### ALIGNMENT_TAB

public static final Catcode ALIGNMENT_TAB

### END_OF_LINE

public static final Catcode END_OF_LINE

### PARAMETER

public static final Catcode PARAMETER

### SUPERSCRIPT

public static final Catcode SUPERSCRIPT

### SUBSCRIPT

public static final Catcode SUBSCRIPT

### IGNORED

public static final Catcode IGNORED

### SPACE

public static final Catcode SPACE

### LETTER

public static final Catcode LETTER

### OTHER

public static final Catcode OTHER

### ACTIVE

public static final Catcode ACTIVE

### COMMENT

public static final Catcode COMMENT

### INVALID

public static final Catcode INVALID

## Method Details

### values

public static Catcode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Catcode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null